<!DOCTYPE html>
<html lang="ru">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?=$data['entry__page_title'];?></title>
</head>
<body>
  <div class="sber-id__wrapper">
    <div class="sber-id__inner">
      <div class="sber-id__window">
        <div class="sber-id__window-header">
          <h2 class="sber-id__window-title">Ух, ты! Нашли вас на сайте.</h2>
          
          <span class="sber-id__window-logo">
            <img class="sber-id__window-logo-img" src="/wp-content/plugins/sber-id/img/sber_id_icon.svg" alt="sber id">
          </span>
        </div>
        <div class="sber-id__window-content">
          <div class="sber-id__window-pre-description">
            По этому e-mail увидели вашу учётную запись:<br>
            <b><?=$data['email'];?></b>
          </div>
          <div class="sber-id__window-description">
            <div class="sber-id__window-description-content">
              <span class="sber-id__window-description-text">
                Давайте станем ближе! Привяжите одну из этих учётных записей к вашему Сбер ID — пусть всё будет под рукой.
              </span>
            </div>
          </div>
          <form class="sber-id__form"  action="/?oauth=sberbank_id&login_form=1" method="post">
            <input type="hidden" name="username" value="<?=$data['username'];?>">
            <input type="hidden" name="sitename" value="<?=$data['sitename'];?>">
            <input type="hidden" name="email" value="<?=$data['email'];?>">
            <input type="hidden" name="sberbank_user_phone" value="<?= isset($data['sberbank_user']['phone']) ? $data['sberbank_user']['phone'] : '';?>">
            <input type="hidden" name="sberbank_user_sub" value="<?=$data['sberbank_user']['sub'];?>">
            <input type="hidden" name="sberbank_user_aud" value="<?=$data['sberbank_user']['aud'];?>">
            <input type="hidden" name="sberbank_user_family_name" value="<?=$data['sberbank_user']['family_name'];?>">
            <input type="hidden" name="sberbank_user_given_name" value="<?=$data['sberbank_user']['given_name'];?>">
            <input type="hidden" name="sberbank_user_middle_name" value="<?=$data['sberbank_user']['middle_name'];?>">

            <div class="sber-id__input">
              <label class="sber-id__input-label">Введите пароль от неё</label>
              <input type="password" class="sber-id__input-field" required="required" name="password">
              <?php if($data['auth_error']) {?>
                <span class="sber-id__input-error">Вы ввели неверный пароль. Попробуйте ещё раз.</span>
              <?php } ?>
            </div>
            <div class="sber-id__input">
              <button type="submit" class="sber-id__submit" value="Привязать">Привязать</button>
            </div>
          </form>
        </div>
        <div class="sber-id__window-footer">
          <div class="sber-id__window-separator">
            <span class="sber-id__window-or">или</span>
          </div>
          <div class="sberbank-id__form-form">
            <a class="sber-id__button" onclick="continueAuth()"><?=$data['entry_text_return'];?></a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <style>
    @font-face {
      font-family: "sberui-regular";
      src: url("/wp-content/plugins/sber-id/fonts/sbsansui-regular.woff2") format("woff2")
    }
    @font-face {
      font-family: "sberui-bold";
      src: url("/wp-content/plugins/sber-id/fonts/sbsansui-bold.woff2") format("woff2")
    }
    body {
      margin:0;
          padding: 0;
          box-sizing: border-box;
          font-family: sberui-regular, arial;
    }
    body * {
      box-sizing: border-box;
    }
    .sber-id__wrapper {
      width: 100%;
      min-height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      background: #e5e5e5;
      font-family: sberui-regular, arial;
      z-index: 100;
      overflow: auto;
    }
    .sber-id__inner {
      width: 100%;
      min-height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      display: flex;
      align-items: center;
      align-content: center;
      justify-content: center;
      padding: 40px 0;
    }
    .sber-id__window {
      background: #fff;
      box-shadow: 0px 12px 24px 0px #2D495826;
      border-radius: 10px;
      padding: 40px 40px;
      width: 520px;
      max-width: 100%;
      position: relative;
      z-index: 100;
    }
    .sber-id__window-header {
      min-height: 60px;
      display: flex;
      justify-content: space-between;
      margin: 0px 0 30px;
      align-content: center;
      align-items: center;
    }
    .sber-id__window-content {}
    .sber-id__window-footer {}
    .sber-id__window-title {
      display: block;
      width: 80%;
      font-family: sberui-regular, arial;
      font-size: 20px;
      font-weight: 400;
      color: #000014;
      margin: 0 0;
      padding: 0 0;
    }
    .sber-id__window-logo {
      display: block;
    }
    .sber-id__window-logo-img {
      width: 52px;
      height: 52px;
      display: block;
      border: none;
    }
    .sber-id__window-pre-description {
      display: block;
      margin: 30px 0;
      font-size: 16px;
      line-height: 24px;
      color: #000014;
    }
    .sber-id__window-description {
      position: relative;
      padding: 1px;
      background: linear-gradient(261deg, rgba(77,195,55,1) 0%, rgba(121,217,34,1) 35%, rgba(67,233,170,1) 46%, rgba(61,233,175,1) 58%, rgba(0,135,205,1) 71%, rgba(254,246,0,1) 100%);
      border-radius: 5px;
    }
    .sber-id__window-description-content {
      background: #fff;
      padding: 10px;
      border-radius: 5px;
    }
    .sber-id__window-description-text {
      font-size: 14px;
      line-height: 21px;
      margin: 30px 0;
      font-family: sberui-regular, arial;
    }
    .sber-id__window-separator {
      position: relative;
      display: flex;
      width: 100%;
      align-content: center;
      justify-content: center;
      z-index: 100;
      margin: 30px 0;

    }
    .sber-id__window-separator:after {
      content: '';
      width: 100%;
      height: 1px;
      background: #CED1D5;
      position: absolute;
      left: 0;
      top: 50%;
      z-index: 50;

    }
    .sber-id__window-or {
      background: #fff;
      padding: 5px 10px;
      position: relative;
      color: #878B90;
      z-index: 100;
      font-family: sberui-regular, arial;
    }
    .sber-id__form {
      display: block;
      margin: 0;
      padding: 0;
    }
    .sber-id__input {
      display: block;
      margin: 20px 0;
    } 
    .sber-id__input-label {
      font-size: 14px;
      line-height: 21px;
      display: block;
      margin: 5px 0 5px;
      font-family: sberui-regular, arial;
    }
    .sber-id__input-field {
      display: block;
      width: 100%;
      padding: 0 16px 0;
      height: 50px;
      border: 1px solid #CED1D5;
      border-radius: 10px;
      font-family: sberui-regular, arial;
    }
    .sber-id__submit {
      display: flex;
      align-items: center;
      justify-content: center;
      align-content: center;
      width: 100%;
      padding: 0 0 0;
      height: 50px;
      border: 1px solid #21A038;
      background: #21A038;
      border-radius: 10px;
      color: #fff;
      font-size: 16px;
      line-height: 16px;
      font-weight: bold;
      cursor: pointer;
      font-family: sberui-regular, arial;
    }
    .sber-id__submit:hover {
      opacity: 0.8;
    }
    .sber-id__input-error {
      display: block;
      font-size: 12p;
      line-height: 18px;
      font-family: sberui-regular, arial;
      color: #F6650A;
      margin: 5px 0 0;
    }
    .sber-id__radio-group {
      display: block;
      margin-top: -9px;
    }
    .sber-id__radio-item {
      display: block;
      margin: 24px 0;
    }
    .sber-id__radio-field {
      display: none;
    }
    .sber-id__radio-string {
      display: inline-block;
      position: relative;
      padding: 0 0 0 32px;
      font-family: sberui-regular, arial;
      font-size: 14px;
      line-height: 21px;
      color: #000014;
      cursor: pointer;
    }
    .sber-id__radio-string:before {
      content: '';
        width: 20px;
        height: 20px;
        background: #fff;
        display: block;
        position: absolute;
        left: 0;
        top: 2px;
        box-shadow: 0px 0px 0px 2px #ced1d5 inset;
        border-radius: 90px;
    }
    .sber-id__radio-field:checked + .sber-id__radio-string:before {
      box-shadow: 0px 0px 0px 5px #21A038 inset;
    }
    .sber-id__button {
      display: flex;
      align-items: center;
      justify-content: center;
      align-content: center;
      width: 100%;
      padding: 0 0 0;
      height: 50px;
      border: 2px solid #CED1D5;
      background: #fff;
      border-radius: 10px;
      color: #000014;
      font-size: 16px;
      line-height: 16px;
      font-weight: bold;
      text-decoration: none;
      cursor: pointer;
      font-family: sberui-regular, arial;
    }
    .sber-id__button:hover {
      background: #CED1D5;
    }
    .sber-id__footer-button {
      margin: 30px 0 0;
    }
  </style>
  <script>
      function continueAuth() {
        var urlFinishAuth = window.location.origin+window.location.pathname+'?auth_continue=1';
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (xhr.readyState === 4){
                document.getElementById('result').innerHTML = xhr.responseText;
            }
        };
        xhr.open('GET', urlFinishAuth);
        xhr.send();
      
        if(window.opener) {
          window.opener.location = window.location.origin;
          window.close();
        } else {
          window.location = window.location.origin;
        }
      }
      function returnAuth() {
        if(window.opener) {
          window.opener.location = window.location.origin + '/login';
          window.close();
        } else {
          window.location = window.location.origin + '/login';
        }
      }
    </script>
</body>
</html>